pctel 'linmodem' driver with 2.2.15 problem

pctel 'linmodem' driver with 2.2.15 problem

Post by loboto » Mon, 05 Jun 2000 04:00:00



I have been using a Zoltrix Phantom 56k winmodem (yes I know it is
junk and I should get a real modem...but it was really cheap and it
does generally work...) under RH6.0 with the pctel 'linmodem' driver
for some time (with the included 2.2.5-something kernel) for some
time, and it has worked reasonably well.  I upgraded to 2.2.15
recently, and recompiled the pctel module for it as well.  I don't
think the configuration is much different than before, other than
enabling svga text mode and compiling in the sound and iomega drivers,
but now whenever it accesses the modem, it gives a segmentation fault.
Is there any known workaround, or will I just have to live with 2.2.5
until I replace the modem?  
 
 
 

pctel 'linmodem' driver with 2.2.15 problem

Post by Michael Prot » Tue, 06 Jun 2000 04:00:00



> I have been using a Zoltrix Phantom 56k winmodem (yes I know it is
> junk and I should get a real modem...but it was really cheap and it
> does generally work...) under RH6.0 with the pctel 'linmodem' driver
> for some time (with the included 2.2.5-something kernel) for some
> time, and it has worked reasonably well.  I upgraded to 2.2.15
> recently, and recompiled the pctel module for it as well.  I don't
> think the configuration is much different than before, other than
> enabling svga text mode and compiling in the sound and iomega drivers,
> but now whenever it accesses the modem, it gives a segmentation fault.
> Is there any known workaround, or will I just have to live with 2.2.5
> until I replace the modem?

Did you compile your new kernel with module version information? It may
be listed as "Set version information on all symbols for modules" in the
loadable modules section of xconfig or menuconfig. I'm thinking that the
linmodem driver was specifically built for the 2.2.5x kernel, in which
case you'll need version information to tell the kernel that its for an
older kernel version.

--
Michael Proto           |

www.mp3.com/protologic  |   -A.E.Newman

 
 
 

pctel 'linmodem' driver with 2.2.15 problem

Post by loboto » Tue, 06 Jun 2000 04:00:00


Yeah I did.  Actually I have it working now under 2.2.14, with the
exact same .config as I had with 2.2.15.   Now I'm really confused...

On Mon, 05 Jun 2000 02:19:29 -0400, Michael Proto



>> I have been using a Zoltrix Phantom 56k winmodem (yes I know it is
>> junk and I should get a real modem...but it was really cheap and it
>> does generally work...) under RH6.0 with the pctel 'linmodem' driver
>> for some time (with the included 2.2.5-something kernel) for some
>> time, and it has worked reasonably well.  I upgraded to 2.2.15
>> recently, and recompiled the pctel module for it as well.  I don't
>> think the configuration is much different than before, other than
>> enabling svga text mode and compiling in the sound and iomega drivers,
>> but now whenever it accesses the modem, it gives a segmentation fault.
>> Is there any known workaround, or will I just have to live with 2.2.5
>> until I replace the modem?

>Did you compile your new kernel with module version information? It may
>be listed as "Set version information on all symbols for modules" in the
>loadable modules section of xconfig or menuconfig. I'm thinking that the
>linmodem driver was specifically built for the 2.2.5x kernel, in which
>case you'll need version information to tell the kernel that its for an
>older kernel version.

>--
>Michael Proto           |

>www.mp3.com/protologic  |   -A.E.Newman

 
 
 

1. pctel 'linmodem' driver with 2.2.15 problem

I have been using a Zoltrix Phantom 56k winmodem (yes I know it is
junk and I should get a real modem...but it was really cheap and it
does generally work...) under RH6.0 with the pctel 'linmodem' driver
for some time (with the included 2.2.5-something kernel) for some
time, and it has worked reasonably well.  I upgraded to 2.2.15
recently, and recompiled the pctel module for it as well.  I don't
think the configuration is much different than before, other than
enabling svga text mode and compiling in the sound and iomega drivers,
but now whenever it accesses the modem, it gives a segmentation fault.
Is there any known workaround, or will I just have to live with 2.2.5
until I replace the modem?  

2. print server?

3. Feedback on 2.2.15 (wasRe: Kernel Stable: 2.2.15pre4 )

4. Serious Linux Problems on bootup

5. pctel 'linmodem' driver with 2.2.16 problem

6. 56K modem

7. PCTEL linmodem problem: let's try this again

8. Software for multiple-sysadmin sites?

9. USB problems compiling 2.2.15pre19

10. ICQ problems with IP Masq Debian 2.2.15

11. Problem with DMA buffer (in 2.2.15)

12. G4 - Kernel 2.2.15pre7 - USB problems :-(

13. Kernel 2.2.15 Problem